For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETList products
      • POSTCreate a product
      • GETGet product by ID
      • PUTUpdate product (full)
      • DELDelete product
      • PATCHUpdate product (partial)
Calculator
LogoLogo
EndpointsProducts

Create a product

POST
https://api.finput.com.au/api/v1/products
POST
/api/v1/products
$curl -X POST https://api.finput.com.au/api/v1/products \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "product_name": "Business Equipment Loan"
>}'
1{
2 "id": 1,
3 "product_name": "product_name",
4 "message": "message"
5}
Was this page helpful?
Previous

Get product by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
product_namestringRequired
organisation_idintegerOptional
min_rangeintegerOptional
max_rangeintegerOptional
min_amountdoubleOptional2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
max_amountdoubleOptional2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
min_abn_ageintegerOptional
max_abn_ageintegerOptional
min_asset_ageintegerOptional
max_asset_ageintegerOptional
min_gst_ageintegerOptional
max_gst_ageintegerOptional
min_asset_age_plus_termintegerOptional
max_asset_age_plus_termintegerOptional
min_credit_scoreintegerOptional
max_credit_scoreintegerOptional
monthly_feedoubleOptional2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
documentation_feedoubleOptional2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
brokerage_capdoubleOptional2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
maximum_brokerage_limitdoubleOptional2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
compounding_frequencyenumOptional

Compounding frequency:

  • w - Weekly
  • m - Monthly
  • q - Quarterly
  • y - Yearly
Allowed values:
brokerage_loading_treatmentdoubleOptional2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
max_origination_fee_limitdoubleOptional2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
doc_fee_financedenumOptional

Tri-state choice for product/rate bracket feature flags

Allowed values:
private_saleenumOptional

Tri-state choice for product/rate bracket feature flags

Allowed values:
sale_hire_backenumOptional

Tri-state choice for product/rate bracket feature flags

Allowed values:
home_ownerenumOptional

Tri-state choice for product/rate bracket feature flags

Allowed values:

Response

Product created
idinteger
product_namestring
messagestring

Errors

400
Create Product Request Bad Request Error